How to merge two commands in one, to select entities and add property sets in a quantity schedule table?What are some ways to install and update a .NET AutoCAD plug-inCAD insert block with thumbnail under mouseTargetting x64 platform with entity framework 4.1 in Visual Studio 2010Proper “container” for data display/modificationAutoLISP program giving inconsistent resultsAutoCAD eNotOpenForWriteundefine AutoCAD commands using .NETAdd entities to an Autocad commands selection setTrying to modify an AutoCAD CUI Macro commandHow to assign the default document to a variable

What are good ways to spray paint a QR code on a footpath?

Can a US President have someone sent to prison?

Should I include salary information on my CV?

Why is Madam Hooch not a professor?

What is the line crossing the Pacific Ocean that is shown on maps?

What's the point of DHS warning passengers about Manila airport?

How can I convince my reader that I will not use a certain trope?

Why is the divergence of this series apparently not predicted by the Monotonic Sequence Theorem?

Compute unstable integral with high precision

Do sudoku answers always have a single minimal clue set?

Why won't the ground take my seed?

Did Chinese school textbook maps (c. 1951) "depict China as stretching even into the central Asian republics"?

Reverse of diffraction

Golf the smallest circle!

Should I report a leak of confidential HR information?

Is there a short way to check uniqueness of values without using 'if' and multiple 'and's?

How to write or read powers (math) by words?

Does ultrasonic bath cleaning damage laboratory volumetric glassware calibration?

Wilcoxon signed rank test – critical value for n>50

SPI Waveform on Raspberry Pi Not clean and I'm wondering why

Is it bad to describe a character long after their introduction?

How to convert object fill in to fine lines?

In native German words, is Q always followed by U, as in English?

Why does the numerical solution of an ODE move away from an unstable equilibrium?



How to merge two commands in one, to select entities and add property sets in a quantity schedule table?


What are some ways to install and update a .NET AutoCAD plug-inCAD insert block with thumbnail under mouseTargetting x64 platform with entity framework 4.1 in Visual Studio 2010Proper “container” for data display/modificationAutoLISP program giving inconsistent resultsAutoCAD eNotOpenForWriteundefine AutoCAD commands using .NETAdd entities to an Autocad commands selection setTrying to modify an AutoCAD CUI Macro commandHow to assign the default document to a variable






.everyoneloves__top-leaderboard:empty,.everyoneloves__mid-leaderboard:empty,.everyoneloves__bot-mid-leaderboard:empty margin-bottom:0;








1















I'm trying to combine to autocad commands to one. The commands is used for selecting entities for a schedule table and adding the property sets.



The first command is: ScheduleSelectionAdd
The second command is: AecAddAllPropSets



My code so far:



(defun c:upDateSchedule()
(command "ScheduleSelectionAdd")
(command "AecAddAllPropSets")
(princ)
)


I have also tried this:



(defun c:upDateSchedule()
(command "ScheduleSelectionAdd" "" "AecAddAllPropSets" "")
(princ)
)


Every time it only adds my selected entities to the table and not updating my property sets, so here I'm stuck.



TIA










share|improve this question




























    1















    I'm trying to combine to autocad commands to one. The commands is used for selecting entities for a schedule table and adding the property sets.



    The first command is: ScheduleSelectionAdd
    The second command is: AecAddAllPropSets



    My code so far:



    (defun c:upDateSchedule()
    (command "ScheduleSelectionAdd")
    (command "AecAddAllPropSets")
    (princ)
    )


    I have also tried this:



    (defun c:upDateSchedule()
    (command "ScheduleSelectionAdd" "" "AecAddAllPropSets" "")
    (princ)
    )


    Every time it only adds my selected entities to the table and not updating my property sets, so here I'm stuck.



    TIA










    share|improve this question
























      1












      1








      1








      I'm trying to combine to autocad commands to one. The commands is used for selecting entities for a schedule table and adding the property sets.



      The first command is: ScheduleSelectionAdd
      The second command is: AecAddAllPropSets



      My code so far:



      (defun c:upDateSchedule()
      (command "ScheduleSelectionAdd")
      (command "AecAddAllPropSets")
      (princ)
      )


      I have also tried this:



      (defun c:upDateSchedule()
      (command "ScheduleSelectionAdd" "" "AecAddAllPropSets" "")
      (princ)
      )


      Every time it only adds my selected entities to the table and not updating my property sets, so here I'm stuck.



      TIA










      share|improve this question














      I'm trying to combine to autocad commands to one. The commands is used for selecting entities for a schedule table and adding the property sets.



      The first command is: ScheduleSelectionAdd
      The second command is: AecAddAllPropSets



      My code so far:



      (defun c:upDateSchedule()
      (command "ScheduleSelectionAdd")
      (command "AecAddAllPropSets")
      (princ)
      )


      I have also tried this:



      (defun c:upDateSchedule()
      (command "ScheduleSelectionAdd" "" "AecAddAllPropSets" "")
      (princ)
      )


      Every time it only adds my selected entities to the table and not updating my property sets, so here I'm stuck.



      TIA







      autocad autolisp






      share|improve this question













      share|improve this question











      share|improve this question




      share|improve this question










      asked Mar 25 at 12:05









      MathMath

      7410 bronze badges




      7410 bronze badges






















          1 Answer
          1






          active

          oldest

          votes


















          2














          Acquire the selection first, using ssget, and then pass the selection to each command, for example:



          (defun c:updateschedule ( / sel )
          (if (setq sel (ssget "_:L"))
          (command
          "_.scheduleselectionadd" sel ""
          "_.aecaddallpropsets" sel ""
          )
          )
          (princ)
          )


          Here, the :L mode string excludes objects on locked layers.



          Note that the above assumes that these commands only have a single prompt for a selection of objects.






          share|improve this answer

























            Your Answer






            StackExchange.ifUsing("editor", function ()
            StackExchange.using("externalEditor", function ()
            StackExchange.using("snippets", function ()
            StackExchange.snippets.init();
            );
            );
            , "code-snippets");

            StackExchange.ready(function()
            var channelOptions =
            tags: "".split(" "),
            id: "1"
            ;
            initTagRenderer("".split(" "), "".split(" "), channelOptions);

            StackExchange.using("externalEditor", function()
            // Have to fire editor after snippets, if snippets enabled
            if (StackExchange.settings.snippets.snippetsEnabled)
            StackExchange.using("snippets", function()
            createEditor();
            );

            else
            createEditor();

            );

            function createEditor()
            StackExchange.prepareEditor(
            heartbeatType: 'answer',
            autoActivateHeartbeat: false,
            convertImagesToLinks: true,
            noModals: true,
            showLowRepImageUploadWarning: true,
            reputationToPostImages: 10,
            bindNavPrevention: true,
            postfix: "",
            imageUploader:
            brandingHtml: "Powered by u003ca class="icon-imgur-white" href="https://imgur.com/"u003eu003c/au003e",
            contentPolicyHtml: "User contributions licensed under u003ca href="https://creativecommons.org/licenses/by-sa/3.0/"u003ecc by-sa 3.0 with attribution requiredu003c/au003e u003ca href="https://stackoverflow.com/legal/content-policy"u003e(content policy)u003c/au003e",
            allowUrls: true
            ,
            onDemand: true,
            discardSelector: ".discard-answer"
            ,immediatelyShowMarkdownHelp:true
            );



            );













            draft saved

            draft discarded


















            StackExchange.ready(
            function ()
            StackExchange.openid.initPostLogin('.new-post-login', 'https%3a%2f%2fstackoverflow.com%2fquestions%2f55337419%2fhow-to-merge-two-commands-in-one-to-select-entities-and-add-property-sets-in-a%23new-answer', 'question_page');

            );

            Post as a guest















            Required, but never shown

























            1 Answer
            1






            active

            oldest

            votes








            1 Answer
            1






            active

            oldest

            votes









            active

            oldest

            votes






            active

            oldest

            votes









            2














            Acquire the selection first, using ssget, and then pass the selection to each command, for example:



            (defun c:updateschedule ( / sel )
            (if (setq sel (ssget "_:L"))
            (command
            "_.scheduleselectionadd" sel ""
            "_.aecaddallpropsets" sel ""
            )
            )
            (princ)
            )


            Here, the :L mode string excludes objects on locked layers.



            Note that the above assumes that these commands only have a single prompt for a selection of objects.






            share|improve this answer



























              2














              Acquire the selection first, using ssget, and then pass the selection to each command, for example:



              (defun c:updateschedule ( / sel )
              (if (setq sel (ssget "_:L"))
              (command
              "_.scheduleselectionadd" sel ""
              "_.aecaddallpropsets" sel ""
              )
              )
              (princ)
              )


              Here, the :L mode string excludes objects on locked layers.



              Note that the above assumes that these commands only have a single prompt for a selection of objects.






              share|improve this answer

























                2












                2








                2







                Acquire the selection first, using ssget, and then pass the selection to each command, for example:



                (defun c:updateschedule ( / sel )
                (if (setq sel (ssget "_:L"))
                (command
                "_.scheduleselectionadd" sel ""
                "_.aecaddallpropsets" sel ""
                )
                )
                (princ)
                )


                Here, the :L mode string excludes objects on locked layers.



                Note that the above assumes that these commands only have a single prompt for a selection of objects.






                share|improve this answer













                Acquire the selection first, using ssget, and then pass the selection to each command, for example:



                (defun c:updateschedule ( / sel )
                (if (setq sel (ssget "_:L"))
                (command
                "_.scheduleselectionadd" sel ""
                "_.aecaddallpropsets" sel ""
                )
                )
                (princ)
                )


                Here, the :L mode string excludes objects on locked layers.



                Note that the above assumes that these commands only have a single prompt for a selection of objects.







                share|improve this answer












                share|improve this answer



                share|improve this answer










                answered Mar 25 at 12:48









                Lee MacLee Mac

                7,2465 gold badges17 silver badges47 bronze badges




                7,2465 gold badges17 silver badges47 bronze badges





























                    draft saved

                    draft discarded
















































                    Thanks for contributing an answer to Stack Overflow!


                    • Please be sure to answer the question. Provide details and share your research!

                    But avoid


                    • Asking for help, clarification, or responding to other answers.

                    • Making statements based on opinion; back them up with references or personal experience.

                    To learn more, see our tips on writing great answers.




                    draft saved


                    draft discarded














                    StackExchange.ready(
                    function ()
                    StackExchange.openid.initPostLogin('.new-post-login', 'https%3a%2f%2fstackoverflow.com%2fquestions%2f55337419%2fhow-to-merge-two-commands-in-one-to-select-entities-and-add-property-sets-in-a%23new-answer', 'question_page');

                    );

                    Post as a guest















                    Required, but never shown





















































                    Required, but never shown














                    Required, but never shown












                    Required, but never shown







                    Required, but never shown

































                    Required, but never shown














                    Required, but never shown












                    Required, but never shown







                    Required, but never shown







                    Popular posts from this blog

                    Kamusi Yaliyomo Aina za kamusi | Muundo wa kamusi | Faida za kamusi | Dhima ya picha katika kamusi | Marejeo | Tazama pia | Viungo vya nje | UrambazajiKuhusu kamusiGo-SwahiliWiki-KamusiKamusi ya Kiswahili na Kiingerezakuihariri na kuongeza habari

                    Swift 4 - func physicsWorld not invoked on collision? The Next CEO of Stack OverflowHow to call Objective-C code from Swift#ifdef replacement in the Swift language@selector() in Swift?#pragma mark in Swift?Swift for loop: for index, element in array?dispatch_after - GCD in Swift?Swift Beta performance: sorting arraysSplit a String into an array in Swift?The use of Swift 3 @objc inference in Swift 4 mode is deprecated?How to optimize UITableViewCell, because my UITableView lags

                    Access current req object everywhere in Node.js ExpressWhy are global variables considered bad practice? (node.js)Using req & res across functionsHow do I get the path to the current script with Node.js?What is Node.js' Connect, Express and “middleware”?Node.js w/ express error handling in callbackHow to access the GET parameters after “?” in Express?Modify Node.js req object parametersAccess “app” variable inside of ExpressJS/ConnectJS middleware?Node.js Express app - request objectAngular Http Module considered middleware?Session variables in ExpressJSAdd properties to the req object in expressjs with Typescript